/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.server.cc;

import java.awt.Color;
import java.text.DateFormat;
import java.text.SimpleDateFormat;

/**
 * <i>CruiseControl</i>-related constants.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public class CcConstants {
	/** Dateformat used with the builds. */
	public final static DateFormat CC_BUILD_DATEFORMAT = new SimpleDateFormat("yyyyMMddhhmmss");
	
	/** Color code for the test categories. */
	public final static Color SUCCESS_COLOR = new Color(0x00FF00);
	public final static Color FAILURE_COLOR = new Color(0xFF0000);
	public final static Color ERROR_COLOR = new Color(0xDD0000);
}
