/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos;

import java.util.Properties;

import junit.framework.TestCase;

import org.apache.log4j.PropertyConfigurator;

/**
 * Unit test.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public class AbstractKosmosTest extends TestCase {
	public void setUp() throws Exception {
		super.setUp();

		// configure log4j programatically (it doesn't require new files in the webapp class-path)
		Properties props = new Properties();
		props.put("log4j.rootLogger", "DEBUG, stdout");
		props.put("log4j.appender.stdout", "org.apache.log4j.ConsoleAppender");
		props.put("log4j.appender.stdout.layout", "org.apache.log4j.PatternLayout");
		props.put("log4j.appender.stdout.layout.ConversionPattern", "%-4r %-5p %c %x - %m%n" );
		PropertyConfigurator.configure(props);
	}
}
